Subject: RE: Problem compiling/linking large number of object files.
From: [email-masked] (Sergey Okhapkin)

16 Aug 1997 09:31:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BCAA3C.A53F9AE0.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'Richard Stanton'"
	 <[email-masked]>
Encoding: 26 TEXT
Original-Sender: [email-masked]

Richard Stanton wrote:
> The problem actually seems to be related to using the emx C compiler
> under NT, rather than being related to GNU make. It's thus not exactly

Is emx C native win32 task or it is a dos program? The length of dos 
program's command line is limited to 128 chars (remember the PSP format).

> At a command prompt, I tried the command
>
> gcc -o np2f.exe -Le:/lib np2f.o parse.o matrix.o nonpar.o nrutil.o 
matstat.o constant.o sort.o locate.o quantile.o powi.o indsort.o brent.o 
dfpmin.o gamma.o linmin.o gradcd.o mnbrak.o ranlib.o intutils.o ols.o 
chol.o cholbksb.o invpd.o t.o f.o beta.o gammln.o mthutl.o -lm
>
> Nothing happened - I quickly got a command prompt back, but no .exe
> file was created. The problem seems to be something to do with the
> number of files, or length of the command line, as shorter lists of .o
> files work fine.

While building libX11.dll the ld's command line contains about 400 
filenames and wraps to ~80 screen lines :-) But ld is win32 task.

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".